MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002971Spring engineUnit Scriptingpublic2012-02-23 11:532012-07-29 14:30
ReporterGodde 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version85.0 
Target VersionFixed in Version89.0.1+git 
Summary0002971: TargetBorder=1 only works when a unit has a specific attack command
DescriptionA weapon that has TargetBorder=1 will only fire at the enemy on it's own if it is in range of the targets' unit center.
If the unit center is out of range but the hitsphere is in range(on a line directly from the targets' center) then the unit will fire at the unit centers if it has a direct attack order on the target.
Additional InformationIn the picture you can see how a unit attacks the targets' unit center even though it is out of range. If the unit is ordered to stop then it stops shooting.

I have tested both lasercannons and cannons in Spring 85 and Spring 85.0.1-144-g44ba419 develop.
TagsNo tags attached.
Attached Filespng file icon screen00031.png [^] (1,627,936 bytes) 2012-02-23 11:53

- Relationships

-  Notes
(0008326)
Kloot (developer)
2012-02-23 18:20

What happens if you move the attacker into range (of the enemy unit's center) and then out of range again, without giving an attack order?
(0008329)
Godde (reporter)
2012-02-24 12:55

Then the attacker keep firing at the target unit center. When the hitbox is out of range it stops firing and when I drive it closer again it will fire when it is in range of the unit center again.

If the attacker is in range of the hitbox and firing and is turned away(this unit has a limited arc/cone of fire) it will not fire automatically again when it is turned back against the hitbox.
(0009091)
Kloot (developer)
2012-07-29 14:30

fixed to the extent that it was possible to (units are still spatially registered by center position --> it can happen that a target is ignored when only its target-border position is in range)

- Issue History
Date Modified Username Field Change
2012-02-23 11:53 Godde New Issue
2012-02-23 11:53 Godde File Added: screen00031.png
2012-02-23 18:20 Kloot Note Added: 0008326
2012-02-23 18:20 Kloot Status new => feedback
2012-02-24 12:55 Godde Note Added: 0008329
2012-07-29 01:26 Kloot Assigned To => Kloot
2012-07-29 01:26 Kloot Status feedback => assigned
2012-07-29 14:30 Kloot Note Added: 0009091
2012-07-29 14:30 Kloot Status assigned => resolved
2012-07-29 14:30 Kloot Fixed in Version => 89.0.1+git
2012-07-29 14:30 Kloot Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker